SDL_GetNumJoystickButtons(3)

NAME
SDL_GetNumJoystickButtons - Get the number of buttons on a joystick.

SYNOPSIS
#include <SDL3/SDL_joystick.h>

int SDL_GetNumJoystickButtons(SDL_Joystick *joystick);

FUNCTION PARAMETERS

joystick
    an SDL_Joystick structure containing joystick information.

RETURN VALUE
for more information.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_GetJoystickButton(3), SDL_GetNumJoystickAxes(3), SDL_GetNumJoystickBalls(3), SDL_GetNumJoystickHats(3)